ORA-01455 after upgrading to 10.3

11733
19
Jump to solution
01-12-2015 08:21 AM
Highlighted
Occasional Contributor II

I just upgraded my desktop to ArcGIS 10.3 and none of my Oracle database connections work.  I can't even figure out how to create new connections.  SQL Server connections work fine.  The error message is "Failed to connect to the specified server.  Do you want to continue? UnderlyingDBMS error[ORA-01455: converting column overflows integer datatype. No extended error.]"

Oracle Database is 11.2.0.3 and existent connections were configured using "sde:oracle11g:<<instance>>" in the instance text box.

Any help is appreciated...

1 Solution

Accepted Solutions
Highlighted
Occasional Contributor II

Apparently the problem was related to the Oracle client version.  Altought I have both 64 and 32 Oracle 11g clients in my box (having the 32-bit client first in my path), I experimented the same problem until I download the Instant Client from ESRI and set it in my system's path as the first option.  Hope this help others with the same problem...

View solution in original post

19 Replies
Highlighted
Regular Contributor III

What is the version of your sde geodatabase.

Any other information in the SDE Direct Connect log?

Reply
0 Kudos
Highlighted
Occasional Contributor II

10.2 geodatabase

cant find anything in log

Reply
0 Kudos
Highlighted
Occasional Contributor II

Also, the error so far appears when trying to establish a geodatabase connection.  I was able to succesfully create a connection to another Oracle database that do not store spatial data (this database is 10.2).

Reply
0 Kudos
Highlighted
Regular Contributor III

What if you try Easy Connect syntax? Same error?

Reply
0 Kudos
Highlighted
Occasional Contributor II

same error...

Reply
0 Kudos
Highlighted
Occasional Contributor II

Apparently the problem was related to the Oracle client version.  Altought I have both 64 and 32 Oracle 11g clients in my box (having the 32-bit client first in my path), I experimented the same problem until I download the Instant Client from ESRI and set it in my system's path as the first option.  Hope this help others with the same problem...

View solution in original post

Highlighted
New Contributor III

Hello Ulises,

happy you got the answer to your problem which - actually - is my problem still.

I get the same error message and assume that it is also an Oracle client version issue. My database is an oracle 11g (11.2.0.3.0) and my client has 'only' 11.1.0.6.0.

Unfortunately, I do not find any download at the ESRI web pages for the Oracle instant client. Could you post the url, where you found the installer?

Thanks!

Cheers,

Simon

Reply
0 Kudos
Highlighted
Esri Frequent Contributor

Hi Simon,

You will need to download the Oracle client from Oracle's website.

Here are a few links that I found when I searched in Google:

Be sure to install the correct bit level for your ArcGIS client.

Oracle Instant Clients

Oracle Full Clients

-George

--- George T.
Highlighted
New Contributor III

Hi George,

thank you! I thought as much. Just hoped that there was an 'ESRI-version' which would work without fail...

I will check the Oracle site tomorrow and report my progress...

So long,

Simon

Reply
0 Kudos